API Documentation |
BroadcastPositionEvent

Package | ch.unil.cbg.ExpressionView.events
Class | public class BroadcastPositionEvent
Inheritance | BroadcastPositionEvent flash.events.Event

Public Properties

| Property | Defined By
--- | --- | ---
|  | data : Array | BroadcastPositionEvent

Public Methods

| Method | Defined By
--- | --- | ---
|  | BroadcastPositionEvent(_type:String, _data:Array = null, _bubbles:Boolean = true, _cancelable:Boolean = true) | BroadcastPositionEvent
|  | clone():Event [override] | BroadcastPositionEvent

Public Constants

| Constant | Defined By
--- | --- | ---
|  | MOUSE_CLICK : String = MouseClick [static] | BroadcastPositionEvent
|  | MOUSE_DOUBLE_CLICK : String = MouseDubleClick [static] | BroadcastPositionEvent
|  | MOUSE_OVER : String = MouseOver [static] | BroadcastPositionEvent

Property Detail

data | property

`public var data:Array`

Constructor Detail

BroadcastPositionEvent | () | Constructor

`public function BroadcastPositionEvent(_type:String, _data:Array = null, _bubbles:Boolean = true, _cancelable:Boolean = true)`

Parameters

| `_type:String`
| `_data:Array` (default = `null`)``
| `_bubbles:Boolean` (default = `true`)``
| `_cancelable:Boolean` (default = `true`)``

Method Detail

clone | () | method

`override public function clone():Event`

Returns

| `Event`

Constant Detail

MOUSE_CLICK | Constant

`public static const MOUSE_CLICK:String = MouseClick`

MOUSE_DOUBLE_CLICK | Constant |

`public static const MOUSE_DOUBLE_CLICK:String = MouseDubleClick`

MOUSE_OVER | Constant |

`public static const MOUSE_OVER:String = MouseOver`

Mon Oct 17 2011, 09:13 PM -04:00